
From: Paul Mackerras <paulus@samba.org>

This patch is from Hanna Linder.

As pci_find_device is going away I've replaced it with pci_get_device
and pci_dev_put.

Signed-off-by: Hanna Linder <hannal@us.ibm.com>
Signed-off-by: Maximilian Attems <janitor@sternwelten.at>
Signed-off-by: Paul Mackerras <paulus@samba.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc64/kernel/u3_iommu.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/ppc64/kernel/u3_iommu.c~ppc64-u3_iommuc-use-for_each_pci_dev arch/ppc64/kernel/u3_iommu.c
--- 25/arch/ppc64/kernel/u3_iommu.c~ppc64-u3_iommuc-use-for_each_pci_dev	2004-11-04 21:44:23.871727576 -0800
+++ 25-akpm/arch/ppc64/kernel/u3_iommu.c	2004-11-04 21:44:23.874727120 -0800
@@ -291,7 +291,7 @@ void iommu_setup_u3(void)
 	/* We only have one iommu table on the mac for now, which makes
 	 * things simple. Setup all PCI devices to point to this table
 	 */
-	while ((dev = pci_find_device(PCI_ANY_ID, PCI_ANY_ID, dev)) != NULL) {
+	for_each_pci_dev(dev) {
 		/* We must use pci_device_to_OF_node() to make sure that
 		 * we get the real "final" pointer to the device in the
 		 * pci_dev sysdata and not the temporary PHB one
_
